Updates an audience.

Prev Next
Patch
/audiences/{audienceId}/

Takes in an audience id/reference along with a new name and/or reference and/or parentId for the audience.

Security
HTTP
Type basic

HTTP Basic authentication using your Tenant ID and API secret.

  • Username is the Tenant ID (i.e. eu-west-2_AbcdEfghI)
  • Password is the API secret you would have received.

You can also authenticate using OAuth 2.0 client credentials (oauth2 security scheme) instead of Basic auth.

OAuth

OAuth 2.0 client credentials authentication.

Use the following token endpoints (replace :tenantId with your Tenant ID):

  • Public API access tokens

    • Staging: https://public.api.learnstaging.link/oauth2/token/:tenantId
    • Production: https://public.api.learn.link/oauth2/token/:tenantId
    • Staging MEA: https://public.api.meastaging.learn.tech/oauth2/token/:tenantId
    • Production MEA: https://public.api.mea.learn.tech/oauth2/token/:tenantId
  • Webhooks access tokens

    • Staging: https://user.api.learnstaging.link/oauth2/token/:tenantId
    • Production: https://user.api.learn.link/oauth2/token/:tenantId
    • Staging MEA: https://user.api.meastaging.learn.tech/oauth2/token/:tenantId
    • Production MEA: https://user.api.mea.learn.tech/oauth2/token/:tenantId

All access tokens must be sent using the Authorization: Bearer <access_token> header.

Scopes

For API access (non-webhooks), the following scopes are available:

  • api/all – Full read and write access to the API.
  • api/read – Read-only access to the API.
  • api/write – Write access to the API.

For webhooks, the following scopes are available:

  • api/webhooks – Access to webhook functionality.
  • api/all – Full read and write access to the API, including webhooks.

Tokens must include appropriate scopes for the endpoints you wish to call.

FlowClient Credentials
Token URLhttps://public.api.learn.link/oauth2/token/:tenantId
Path parameters
audienceId
stringRequired

Filter by audienceId or audience reference.

Example63f57d805d8ecbf46f5b5278
Body parameters
object

Audience Metadata with parentId

name
string | null

The name of the audience.

Max length100
ExampleTech Team
reference
string | null

The external reference for the Audience.

Max length100
Exampleaudience123
parentId
string | null

The id of the parent audience/ structure you want to move the audience to.

Example673db100e5c0503ac23b0e2b
Responses
200

Audience with member operations, memberOperations is null if the audience was not moved to a new parent.

Expand All
object

A audience object with member operations.

id
string

The id of the created resource

Example63f8c5361b9c80d3274be7ca
name
string

The name of the audience

ExampleTech Team
reference
string

The external reference for the Audience

Exampleaudience123
apiControlled
boolean

Whether the audience is API controlled or not. API-controlled audiences:

  • Can only be updated via the API, not through the Thrive UI
  • Must be created using this API (existing UI-created audiences cannot be converted)
  • API-created audiences can only exist within API-created structures
  • Are always of type 'manual' (not 'smart')
Exampletrue
category
string

Category of Audience: * structure - Structure, a top-level/parent audience. Created without a parentId. Represents an organizational unit. * audience - Audience, a child audience that exists within a structure. Created with a parentId. The workflow for creating audiences requires first creating a structure (category=structure, no parentId), then creating child audiences within that structure (category=audience, with parentId). A structure may contain multiple child audiences, but each audience can only belong to one structure. When a structure is deleted, all its child audiences are also deleted. See the Audience Workflow Documentation for hierarchy examples.

Valid values[ "audience", "structure" ]
type
string

Type of Audience: * smart - Audience membership is controlled by smart rules. * manual - Audience membership is managed manually. Note: Audiences created via the API are always of type 'manual'. Smart audiences can only be created through the Thrive UI. API-controlled audiences cannot be converted to smart audiences.

Valid values[ "manual", "smart" ]
parent
object (ParentInformation) | null

Information on the parent audience/ structure - only available on a child audience.

name
string

The name of the audience

ExampleTech Team
reference
string

The external reference for the Audience

Exampleaudience123
id
string

The id of the parent audience/ structure.

Example673db100e5c0503ac23b0e2b
createdAt
string (date-time)

The DateTime the audience was created at.

updatedAt
string (date-time)

The DateTime the audience was last updated at.

memberOperations
object | null

The member operations for the audience

addedToNewParent
object (SuccessAddUsers)

A success response for adding members/managers.

success
object

An object describing the successfully proccessed entities

count
number

The number of entities that have been successfully processed

Example1.0
entities
Array of object
object
reference
string

The reference for the entity.

ExampleTestUser1
removedFromOldParent
object (SuccessAddUsers)

A success response for adding members/managers.

success
object

An object describing the successfully proccessed entities

count
number

The number of entities that have been successfully processed

Example1.0
entities
Array of object
object
reference
string

The reference for the entity.

ExampleTestUser1
207

Audience with member operations, memberOperations is not null if the audience was moved to a new parent and some members could not be removed from the old parent.

Expand All
object

A audience object with member operations.

id
string

The id of the created resource

Example63f8c5361b9c80d3274be7ca
name
string

The name of the audience

ExampleTech Team
reference
string

The external reference for the Audience

Exampleaudience123
apiControlled
boolean

Whether the audience is API controlled or not. API-controlled audiences:

  • Can only be updated via the API, not through the Thrive UI
  • Must be created using this API (existing UI-created audiences cannot be converted)
  • API-created audiences can only exist within API-created structures
  • Are always of type 'manual' (not 'smart')
Exampletrue
category
string

Category of Audience: * structure - Structure, a top-level/parent audience. Created without a parentId. Represents an organizational unit. * audience - Audience, a child audience that exists within a structure. Created with a parentId. The workflow for creating audiences requires first creating a structure (category=structure, no parentId), then creating child audiences within that structure (category=audience, with parentId). A structure may contain multiple child audiences, but each audience can only belong to one structure. When a structure is deleted, all its child audiences are also deleted. See the Audience Workflow Documentation for hierarchy examples.

Valid values[ "audience", "structure" ]
type
string

Type of Audience: * smart - Audience membership is controlled by smart rules. * manual - Audience membership is managed manually. Note: Audiences created via the API are always of type 'manual'. Smart audiences can only be created through the Thrive UI. API-controlled audiences cannot be converted to smart audiences.

Valid values[ "manual", "smart" ]
parent
object (ParentInformation) | null

Information on the parent audience/ structure - only available on a child audience.

name
string

The name of the audience

ExampleTech Team
reference
string

The external reference for the Audience

Exampleaudience123
id
string

The id of the parent audience/ structure.

Example673db100e5c0503ac23b0e2b
createdAt
string (date-time)

The DateTime the audience was created at.

updatedAt
string (date-time)

The DateTime the audience was last updated at.

memberOperations
object | null

The member operations for the audience

addedToNewParent
object (SuccessAddUsers)

A success response for adding members/managers.

success
object

An object describing the successfully proccessed entities

count
number

The number of entities that have been successfully processed

Example1.0
entities
Array of object
object
reference
string

The reference for the entity.

ExampleTestUser1
removedFromOldParent
object (PartialSuccessAddUsers)

A partial success response for adding members/managers.

success
object

An object describing the successfully proccessed entities

count
number

The number of entities that have been successfully processed

Example1.0
entities
Array of object
object
reference
string

The reference for the entity.

ExampleTestUser1
failure
object

An object describing the entities that have been unsuccessfully proccessed

count
number

The number of entities that have been unsuccessfully processed

Example1.0
entities
Array of object
object
reason
string

The reason for the failure

ExampleUser does not exist.
reference
string

The reference for the entity.

Exampletest.user@thrivelearning.com
400

Bad Request

object

Bad Request

status
number
Example400.0
error
string
ExampleBad Request
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
401

Unauthorized

object

Unauthorized

status
number
Example401.0
error
string
ExampleUnauthorized
message
string
403

Forbidden

object

Forbidden

status
number
Example403.0
error
string
ExampleForbidden
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
404

Not Found

object

Not found

status
number
Example404.0
error
string
ExampleNot Found
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
409

Conflict

object

Conflict

status
number
Example409.0
error
string
ExampleConflict
message
OneOf
string
string
object
object
422

Unprocessable Content when updating an audience and moving it to a new parent.

Expand All
object

Unprocessable Content when updating an audience and moving it to a new parent.

status
number
Example422.0
error
string
ExampleUnprocessable Content
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
details
object | null
memberOperations
object
addedToNewParent
object (PartialSuccessAddUsers)

A partial success response for adding members/managers.

success
object

An object describing the successfully proccessed entities

count
number

The number of entities that have been successfully processed

Example1.0
entities
Array of object
object
reference
string

The reference for the entity.

ExampleTestUser1
failure
object

An object describing the entities that have been unsuccessfully proccessed

count
number

The number of entities that have been unsuccessfully processed

Example1.0
entities
Array of object
object
reason
string

The reason for the failure

ExampleUser does not exist.
reference
string

The reference for the entity.

Exampletest.user@thrivelearning.com
default

Internal Server Error

object

Internal Server Error

status
number
Example500.0
error
string
ExampleInternal Server Error
message
string